package com.edgec.browserbackend.common.utils;

import com.edgec.browserbackend.browser.domain.BindHistory;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.ReadingConverter;

import java.util.StringTokenizer;

@ReadingConverter
public class StringToBindHistory implements Converter<String, BindHistory> {
    @Override
    public BindHistory convert(String s) {
        StringTokenizer stringTokenizer = new StringTokenizer(s, ",");
        BindHistory bindHistory = new BindHistory();
        if (stringTokenizer.hasMoreTokens()) {
            String str = stringTokenizer.nextToken();
            bindHistory.setShopName(s.substring(stringTokenizer.nextToken().indexOf("=") + 1, s.indexOf('\'')));
            str = stringTokenizer.nextToken();
            bindHistory.setIp(s.substring(stringTokenizer.nextToken().indexOf("=") + 1, s.indexOf('\'')));
            str = stringTokenizer.nextToken();
            bindHistory.setPlatform(s.substring(stringTokenizer.nextToken().indexOf("=") + 1, s.indexOf('\'')));
            str = stringTokenizer.nextToken();
            bindHistory.setUnbindTime(s.substring(stringTokenizer.nextToken().indexOf("=") + 1, s.indexOf('\'')));
        }
        return bindHistory;
    }
}
